	sr = 44100
	kr = 441
	ksmps = 100
	nchnls = 1

gaout	init	0
gadel	init	0
gkfeed	init	0
gktime	init	0


;////////////////////////////////////////////////////////////
;///////////////// SIMPLE OSCILI (chan 16) //////////////////
;////////////////////////////////////////////////////////////
	instr	1

ichan	init	1
ic1,ic2,ic3,ic4,ic5,ic6,ic7,ic8		slider8	ichan,\
\;	ctl	min	max	func
	1,	0,	1.5,	92,	\;1-attak time
	2,	.05,	1,	0,	\;2-decay time
	3,	.05,	1,	0,	\;3-decay level
	4,	.1,	20,	0,	\;4-sustain dur
	5,	.1,	3,	0,	\;5-release dur
	6,	916,	918.5,	0,	\;6-split table
	7,	0,	1,	0,	\;7-vibrato amp
	8,	.1,	8,	92	 ;8-vibrato freq
ic9	ctrl7	ichan,9,	880,888.5		;9-tuning table
ic10	ctrl7	ichan,10,	850,861.5		;10-vibrato table
ic11	ctrl7	ichan,11,	0,1		;11-delay level
ic12	ctrl7	ichan,12,	0,1		;12-delay feedback
ic13	ctrl7	ichan,13,	10,1000		;13-delay time
ifreq	cpstmid ic9	
kbend	pchbend -1,1
inum	notnum
iamp	ampmidi	20000
kenv	linenr	iamp,0,ic5,.03
aenv	expsega	.01, ic1, 1, ic2, ic3, ic4, .01 
ifn	table	inum, ic6
kvib	oscili	ic7,ic8,ic10
a1	oscili	kenv*aenv,ifreq*powoftwo(kvib+kbend),ifn
gaout	=	gaout+a1
gadel	=	gadel+a1*ic11
gkfeed	init	ic12
gktime	init	ic13
	endin


	instr	2
a1	init	0
a1	vdelay	gadel+a1*gkfeed,gktime,1200
	out	a1+gaout
gaout	=	0
gadel	=	0
	endin
