	sr = 16000
	kr = 160
	ksmps = 100
	nchnls = 1

giSampleDur init	4.5  ;*** put the total duration of your sound in seconds here

gk1	init	1/giSampleDur	;1 read speed
gk2	init	1	;2 transposition
gk3	init	0	;3 phase offset
gk4	init	1	;4 



	instr	1
kphs	phasor	gk1
kphs	=	kphs * giSampleDur
kphs	=	kphs+gk3
ktime	line	0,p3,.81
a1	pvoc	kphs, gk2, "c:/csound/icmc/pv.pv"  ;*** put your analisis file path here
	out a1*.5
	endin

;///////////////////////////////////////
	instr	100
;///////////////////////////////////////
i1min	init	0	;1 read speed
i1max	init	(1/giSampleDur) * 4	
i2min	init	.25	;2 transposition
i2max	init	2	
i3min	init	0	;3 phase offset
i3max	init	giSampleDur	
i4min	init	0	;4 phase changing speed
i4max	init	2	

;******  ivalue = (initial_value - min) / (max - min)
	initc7  1,1,(i(gk1)-i1min)/(i1max-i1min)	 
	initc7  1,2,(i(gk2)-i2min)/(i2max-i2min)  	
	initc7  1,3,(i(gk3)-i3min)/(i3max-i3min)   	
	initc7  1,4,(i(gk4)-i4min)/(i4max-i4min)	

gk1	ctrl7	1,1,i1min,i1max 	
gk2	ctrl7	1,2,i2min,i2max	
gk3	ctrl7	1,3,i3min,i3max 
gk4	ctrl7	1,4,i4min,i4max	

gk3	tonek	gk3,1
	endin
